Subject: Re: bug#53843: 27.2; unknown function used in flymake

From: Nicolas Martyanoff <[email-masked]>
Date: Mon, 07 Feb 2022 16:28:36 +0100

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 07 Feb 2022 15:50:03 +0100, Nicolas Martyanoff <[email-masked]> said:
>
>     Nicolas> Robert Pluim <[email-masked]> writes:
>     >>>>>>> On Mon, 07 Feb 2022 13:54:23 +0100, Nicolas Martyanoff <[email-masked]> said:
>     >> 
>     Nicolas> Hi,
>     >> 
>     Nicolas> Using eglot with python-mode (with pyright) causes regular errors
>     Nicolas> involving flymake caused by calls to an unknown "string-replace"
>     Nicolas> function:
>     >> 
>     >> `string-replace' was added in emacs-28, so it looks like your flymake
>     >> package needs adjusting. (the version shipped with emacs-28 has ;;
>     >> Package-Requires: ((emacs "28.1") (eldoc "1.1.0") (project "0.7.1")))
>
>     Nicolas> I am using eglot which references a flymake copy from
>     Nicolas> https://github.com/emacs-straight/flymake.
>
> Hmm, is that the canonical upstream? I donʼt think so.
Yes, I finally found out that the problem comes from eglot: it requires
a very recent version of flymake; this causes straight.el to install
flymake from this exterior repository, and this version requires Emacs
28.1.

Sorry for the noise on the bug tracker, the problems does not come from Emacs.

> As a workaround you could copy the definition of `string-replace' from
> emacs-28's subr.el.

I did not think about that, good idea! Thank you so much.

Regards,

-- 
Nicolas Martyanoff
http://snowsyn.net
[email-masked]